Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class UserOptionsDialog

Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.Dialog
org.eclipse.jface.dialogs.TrayDialog
org.eclipse.jface.preference.PreferenceDialog
hdf.view.dialog.UserOptionsDialog

All Implemented Interfaces:
  `org.eclipse.jface.dialogs.IPageChangeProvider`, `org.eclipse.jface.preference.IPreferencePageContainer`, `org.eclipse.jface.window.IShellProvider`

public class UserOptionsDialog extends org.eclipse.jface.preference.PreferenceDialog
UserOptionsDialog displays components for choosing user options.

Version:
  2.4 2/13/2016
Author:
  Jordan T. Henderson

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

  `org.eclipse.jface.window.Window.IExceptionHandler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `rootDir`
  The setting of the root directory
  `protected String`
  `workDir`
  The setting of the working directory

  ### Fields inherited from class org.eclipse.jface.preference.PreferenceDialog

  `FAILED, PREF_DLG_IMG_TITLE_ERROR, PREF_DLG_TITLE_IMG`

  ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

  `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

  ### Fields inherited from class org.eclipse.jface.window.Window

  `CANCEL, OK, resizeHasOccurred`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserOptionsDialog(org.eclipse.swt.widgets.Shell parent, org.eclipse.jface.preference.PreferenceManager mgr, String viewRoot)`
  UserOptionsDialog displays components for choosing user options.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `create()`
  Create the UserOptions Dialog.

  ### Methods inherited from class org.eclipse.jface.preference.PreferenceDialog

  `addListeners, addPageChangedListener, buttonPressed, cancelPressed, close, configureShell, constrainShellSize, createButtonsForButtonBar, createContents, createDialogArea, createPage, createPageContainer, createPageControl, createSash, createTitleArea, createTreeAreaContents, createTreeViewer, findNodeMatching, firePageChanged, getCurrentPage, getLastRightWidth, getPage, getPageContainer, getPageLayout, getPreferenceManager, getPreferenceStore, getSelectedNodePreference, getSelectedPage, getSingleSelection, getTreeViewer, handleSave, handleShellCloseEvent, helpPressed, isCurrentPageValid, isResizable, layoutTreeAreaControl, okPressed, removePageChangedListener, selectSavedItem, setCurrentPage, setErrorMessage, setMessage, setMessage, setMinimumPageSize, setMinimumPageSize, setPageContainer, setPreferenceStore, setSelectedNode, setSelectedNodePreference, setTreeViewer, showPage, update, updateButtons, updateMessage, updateTitle, updateTreeFont`

  ### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

  `closeTray, createButtonBar, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

  ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

  `applyDialogFont, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

  ### Methods inherited from class org.eclipse.jface.window.Window

  `canHandleShellCloseEvent, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### rootDir

    protected String rootDir
    The setting of the root directory

  - ### workDir

    protected String workDir
    The setting of the working directory

- ## Constructor Details

  - ### UserOptionsDialog

    public UserOptionsDialog(org.eclipse.swt.widgets.Shell parent, org.eclipse.jface.preference.PreferenceManager mgr, String viewRoot)
    UserOptionsDialog displays components for choosing user options.
    Parameters:
      `parent` - the dialog parent shell
      `mgr` - the dialog manager
      `viewRoot` - the root dir for the app

- ## Method Details

  - ### create

    public void create()
    Create the UserOptions Dialog.
    Overrides:
      `create` in class `org.eclipse.jface.dialogs.Dialog`